View Issue Details

IDProjectCategoryView StatusLast Update
14050Bug reports[All Projects] Import/Exportpublic2018-09-16 11:16
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14.x 
Summary14050: Unable to import all db if stardate added
Description

When try to import all database (from a deactivated survey) if move set date stamped survey to Y : receive a sql error

Steps To Reproduce

Activate a survey without date stamped
Fill some response
Deactivate survey
Activate datestamp
See sql error

Additional Information

2.73 have same issue

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.8 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Operating System (Server)debian
Webserver software & versionapache2
PHP VersionPHP5.6

Relationships

related to 14058 resolvedmarkusfluer vvimport failing because of missing default values on newer MariaDB databases 

Activities

DenisChenu

DenisChenu

2018-09-12 13:56

developer  

CDbException.html (22,231 bytes)
DenisChenu

DenisChenu

2018-09-12 14:00

developer   ~49016

2.6lts is OK

DenisChenu

DenisChenu

2018-09-14 09:08

developer   ~49033

Really don't understand difference between 2.6lts and 2.50 .
mysql set date value to 1990, but why ????

guest

guest

2018-09-14 15:42

viewer   ~49042

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27953

guest

guest

2018-09-14 15:50

viewer   ~49043

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27954

guest

guest

2018-09-14 16:41

viewer   ~49044

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27955

dominikvitt

dominikvitt

2018-09-14 17:27

developer   ~49048

The latest commit should be okay.

Related Changesets

LimeSurvey: master 6ed9872c

2018-09-14 15:41:42

Dominik Vitt

Details Diff
Fixed issue 14050: Unable to import all responses if startdate added
mod - application/helpers/admin/activate_helper.php Diff File

LimeSurvey: master ffcef647

2018-09-14 15:41:42

Dominik Vitt

Details Diff
Revert "Fixed issue 14050: Unable to import all responses if startdate added"

This reverts commit 6ed9872ce37022274c140f89754b7db8b56fd2c6.
mod - application/helpers/admin/activate_helper.php Diff File

LimeSurvey: master d21f31c0

2018-09-14 16:40:55

Dominik Vitt

Details Diff
Fixed issue 14050: Unable to import all responses if startdate added
mod - application/controllers/admin/dataentry.php Diff File

Issue History

Date Modified Username Field Change
2018-09-12 13:56 DenisChenu New Issue
2018-09-12 13:56 DenisChenu File Added: CDbException.html
2018-09-12 14:00 DenisChenu Note Added: 49016
2018-09-12 17:14 LouisGac Assigned To => dominikvitt
2018-09-12 17:14 LouisGac Status new => assigned
2018-09-14 09:08 DenisChenu Note Added: 49033
2018-09-14 15:42 Changeset attached => LimeSurvey master 6ed9872c
2018-09-14 15:42 guest Note Added: 49042
2018-09-14 15:42 guest Resolution open => fixed
2018-09-14 15:42 dominikvitt Status assigned => resolved
2018-09-14 15:42 dominikvitt Fixed in Version => 3.14.x
2018-09-14 15:50 Changeset attached => LimeSurvey master ffcef647
2018-09-14 15:50 guest Note Added: 49043
2018-09-14 16:41 Changeset attached => LimeSurvey master d21f31c0
2018-09-14 16:41 guest Note Added: 49044
2018-09-14 17:27 dominikvitt Note Added: 49048
2018-09-16 11:16 DenisChenu Relationship added related to 14058